curl "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
]
}
أصول QR
سرد قوالب شعار النص
GET /qr-assets/text-logo/
GET
/
qr-assets
/
text-logo
/
curl "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
]
}
يسرد قوالب شعار النص، على مضيف Management API (
يشير
api.scanova.io).
GET https://api.scanova.io/qr-assets/text-logo/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
على عكس أي نقطة نهاية أخرى في هذه الوحدة، لا تتطلب نقطة النهاية هذه مفتاح Management API — يمكن قراءتها بشكل مجهول، وعندئذٍ تُعيد فقط شعارات النص الافتراضية المشتركة للنظام. أرسل مفتاحك لعرض شعارات الحساب الخاصة المحفوظة أيضًا إلى جانب الافتراضية.
curl "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
]
}
has_user: false إلى قيمة افتراضية مشتركة للنظام؛ ويشير has_user: true إلى قيمة مملوكة لهذا الحساب.
ذات صلة
- إنشاء قالب شعار نص — حفظ قالب جديد.
- حذف قالب شعار نص — حذف قالب مملوك لهذا الحساب.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Paginated list of text logos.
هل كانت هذه الصفحة مفيدة؟